/*
Theme Name: Hello Biz Child
Theme URI: https://github.com/elementor/hello-biz-child/
Description: Hello Biz Child is a child theme of Hello Biz, created by Elementor team
Author: Elementor Team
Template: hello-biz
Author URI: https://elementor.com/?utm_source=wp-themes&utm_campaign=author-uri&utm_medium=wp-dash
Version: 1.0.0
Stable tag: 1.0.0
Requires at least: 6.0
Tested up to: 6.5
Requires PHP: 7.4
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: hello-biz-child
Tags: flexible-header, custom-colors, custom-menu, custom-logo, featured-images, rtl-language-support, threaded-comments, translation-ready, style-variations
*/

:root {
    --lightblue: #24C4F4;
    --darkblue: #20506F;
}

body:not(.home) #content {
    /* padding-top: 250px; */
}

body.no-scroll {
    overflow-y: hidden;
}

ul {
    padding-inline-start: 0px;
    padding-left: 27px;
}

@media (max-width: 1024px) {
    ul {
        padding-left: 33px;
    }
}

body.home .top-header-text,
body.home .top-header-text a {
    color: #fff!important;
}

.sticky-header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 20px;
    background: rgb(38 136 201 / 90%);
    display: flex;
    gap: 10px;
    z-index: 999;
    top: -100%;
    transition: top 0.3s ease-in-out;
}

.sticky-header.visible {
    top: 0;
}

.sticky-header .col:first-child {
    max-width: 150px;
    min-width: 100px;
    padding: 0 0 0 25px;
    display: flex;
    align-items: center;
    text-align: center;
}

.sticky-header .col:nth-child(2) {
    flex-grow: 1;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.sticky-header .col:last-child {
    padding: 0 2%;
    display: flex;
    align-items: center;
}

/** 
 * Main menu
 */
.main-menu ul {
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.main-menu li {
    margin: 0 12px;
    list-style: none;
    flex-shrink: 0;
}

.main-menu li:first-child {
    margin-left: 0;
}

.main-menu li:last-child {
    margin-right: 0;
}

.main-menu li a {
    color: #fff;
    font-size: 17px;
    font-family: Lato, sans-serif;
    font-weight: 600;
    letter-spacing: 1px;
    text-transform: uppercase;
    padding: 5px 10px;
    transition: all 0.3s ease;
    position: relative;
    display: block;
    -webkit-tap-highlight-color: transparent;
    -webkit-touch-callout: none;
    -webkit-text-fill-color: #fff;
}

.main-menu li a:active,
.main-menu li a:focus,
.main-menu li a:hover {
    background-color: transparent;
    -webkit-text-fill-color: var(--darkblue);
}

.main-menu li a:focus-visible {
    outline: 2px solid var(--darkblue);
}

.main-menu li a:after {
    content: "";
    width: 0px;
    bottom: 0;
    height: 1px;
    background: var(--darkblue);
    position: absolute;
    left: 50%;
    transition: all 0.3s ease;
}

.main-menu li a:hover {
    color: var(--darkblue);
}

.main-menu li a:hover:after {
    width: 100%;
    left: 0;
}

/**
 * Menu Toggle Button
 */
#menu-toggle {
    background: none;
    outline: none;
    border: none;
    letter-spacing: 2px;
    font-family: Lato, sans-serif;
    font-size: 16px;
    display: flex;
    gap: 10px;
    align-items: center;
    color: var(--lightblue);
    padding: 0!important;
    position: relative;
    z-index: 1;
}

#menu-toggle .hamburger .bar {
    display: block;
    width: 32px;
    height: 4px;
    background-color: var(--lightblue);
    margin-bottom: 6px;
    transition: transform 0.3s ease;
}

#menu-toggle .hamburger .bar:last-child {
    margin-bottom: 0;
}

#menu-toggle.open .bar:nth-child(1) {
    transform: translateY(10px) rotate(45deg);
    background-color: white;
}

#menu-toggle.open .bar:nth-child(2) {
    opacity: 0;
}

#menu-toggle.open .bar:nth-child(3) {
    transform: translateY(-10px) rotate(-45deg);
    background-color: white;
}

.main-menu-toggle {
    display: none;
}

.main-menu-toggle .menu-popup {
    z-index: 9999;
}

.main-menu-toggle .menu-toggle > span {
    display: none !important;
    opacity: 0 !important;
}

.main-menu-toggle #menu-toggle .hamburger .bar {
    background-color: #fff;
}

.main-menu-close {
    position: absolute;
    top: 50px;
    right: 70px;
    width: 32px;
    height: 32px;
    display: none;
}

.main-menu-close span {
    display: block;
    width: 32px;
    height: 4px;
    background-color: #fff;
    position: relative;
    transition: transform 0.3s ease;
    cursor: pointer;
    position: absolute;
}

.main-menu-close span:nth-child(1) {
    transform: translateY(12px) rotate(45deg);
}

.main-menu-close span:last-child {     
    transform: translateY(12px) rotate(-45deg);
}

/** 
 * Main Menu Popup
 */
.menu-popup {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 0;
    width: 100%;
    height: 100%;
    background: var(--lightblue);
    display: none;
    overflow: scroll;
}

.menu-popup.open {
    display: block;
}

.menu-container {
    display: flex;
    gap: 30px;
    justify-content: space-between;
    align-items: center;
    height: 100%;
    max-width: 1100px;
    margin: 0 auto;
    padding: 0 30px;
}

.menu-container > *:first-child {
    padding-top: 50px;
}

.menu-container > *:nth-child(2) {
    width: 30%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    padding-bottom: 50px;
}

@media (max-width: 768px) {
    .menu-container > *:nth-child(2) {
        width: 80%;
    }

    .menu-container > *:first-child {
        padding-top: 100px;
    }
}

.menu-container > *:nth-child(2) p,
.menu-container > *:nth-child(2) p a {
    text-align: center;
    font-family: Lato, sans-serif;
    color: #fff;
    font-size: 20px;
    font-weight: 600;
}

.social-icons {
    display: flex;
    gap: 10px;
}

#popup-menu {
    padding-left: 0;
}

#popup-menu li {
    list-style: none;
    padding: 10px 0;
}

#popup-menu li a {
    color: #fff;
    font-size: 60px;
    line-height: 68px;
    transition: all 0.3s ease-in-out;
    font-family: "Gilda Display";
    -webkit-tap-highlight-color: rgba(0,0,0,0);
    -webkit-tap-highlight-color: transparent; /* For some Androids */
}

@supports (font: -apple-system-body) { 
    #popup-menu li a {
        transition: none!important;
    }
}

#popup-menu li a:hover {
    color: var(--darkblue);
}

@media (max-width: 768px) {
    .menu-container {
        flex-direction: column;
        justify-content: flex-start;
        text-align: center;
        gap: 40px;
    }

    #popup-menu li a {
        font-size: 40px;
        line-height: 48px;
    }
}

@media (max-width: 1464px) {
    .main-menu {
        display: none;
    }

    .main-menu-toggle {
        display: block;
    }
}

@media (max-width: 1570px) {
    .main-menu li a {
        padding-left: 5px;
        padding-right: 5px;
    }
}

@media (max-width: 1660px) {
    .main-menu li {
        margin: 0 8px;
    }

}

/**
 * Booking Form
 */
.hbf {
    display: flex;
    gap: 12px;
    justify-content: flex-start;
    color: #fff;
}

.hbf .form-col {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 10px;
    justify-content: flex-end;
    align-items: flex-start;
}

.hbf .form-col label {
    font-size: 20px;
    font-family: Lato;
    font-weight: bold;
}

.hbf input {
    height: 70px!important;
    line-height: 70px!important;
    padding: 0 10px!important;
    border: 1px solid var(--lightblue);
    font-family: Lato;
    align-self: stretch;
}

.hbf input[type="date"] {
    width: auto!important;
}

.hbf input[type="submit"] {
    background: var(--darkblue);
    color: #fff;
    padding: 0 30px!important;
    font-size: 18px!important;
    letter-spacing: 2px!important;
    font-weight: 600!important;
}

.hbf input[type="number"] {
    padding-left: 10px;
    padding-right: 0!important;
    min-width: 50px;
}

.hbf input[type="submit"]:hover {
    background: var(--lightblue);
    border-color: var(--lightblue);
    cursor: pointer;
}

.sticky-header .hbf input {
    height: 55px!important;
    line-height: 55px!important;
}

.sticky-header .hbf input[type="submit"]:hover {
    background: #00AEEF;
    border-color: #00AEEF;
}

/**
 * Map
 */
#neighborhood {
    display: flex;
    flex-wrap: wrap;
}

#neighborhood > *:first-child {
    width: 100%;
}

#neighborhood > *:nth-child(2) {
    width: 28%;
    order: 3;
}

#neighborhood > *:last-child {
    width: 72%;
}

#neighborhood .r360-maps-filter-tab {
    padding-top: 1.6rem;
    padding-bottom: 1.6rem;
}

#neighborhood .r360-maps-filter-tab.active {
    background: #0069a9;
}

.r360-maps .poi-marker {
    font-size: 18px;
    font-weight: 600;
    font-family: Lato, sans-serif;
    width: 3rem;
    height: 3rem;
}

.r360-maps-map-container .mapboxgl-map {
    /* height: 100%!important; */
}

.r360-maps-category-filter {
    gap: 4px;
    background: #e4e3d9;
    border-bottom: 4px solid #e4e3d9;
}

.r360-maps-category-filter .category-name {
    text-transform: uppercase;
    font-size: 22px;
    letter-spacing: 2px;
}

.r360-maps-location-panel {
    background-color: #0069a9!important;
}

.r360-maps-location-panel:not(.r360-maps-location-panel.py-4) {
    height: 879px;
    overflow-y: scroll;
    padding-left: 0;
    padding-right: 0;
}

.r360-maps-location-panel:not([data-panel-category]) {
    min-height: 600px;
}

.r360-maps-location-panel .grid {
    display: flex!important;
    flex-direction: column;
    counter-reset: section; /* start counter */
    row-gap: 12px;
    max-width: 420px;
    margin: 0 auto;
}

.r360-maps-location-panel .grid > * {
  counter-increment: section; /* increment for each item */
}

.r360-maps-location-panel .grid > *::before {
    content: counter(section);
    width: 42px;
    height: 42px;
    line-height: 42px;
    font-size: 20px;
    border-radius: 50%;
    text-align: center;
    font-weight: bold;
    background: #2688C9;
    color: #fff;
    flex-shrink: 0;
}

.r360-maps-location-panel .r360-maps-location-wrapper {
    display: flex;
    align-items: center;
    gap: 22px;
    font-size: 22px;
    font-weight: 400;
    padding: 5px 0;
}

.r360-maps-location-wrapper .r360-maps-location {
    margin: 0;
    max-width: none;
}

.mapboxgl-ctrl button {
    padding: 0!important;
}

/**
 * Responsive Styles
 */
@media (max-width: 768px) {
    .hbf {
        flex-wrap: wrap;
    }

    .hbf .form-col {
        width: calc(25% - 7.666667px);
    }

    .hbf .form-col:last-child {
        width: 100%;
    }

    .hbf input[type="submit"] {
        width: fit-content;
    }

    .main-menu-close {
        right: 30px;
    }
}

@media (max-width: 560px) {
    .sticky-header {
        justify-content: space-between;
    }

    .sticky-header .col:first-child {
        display: block;
    }
    .sticky-header .col:nth-child(2) {
        display: none;
    }
    .sticky-header .col:nth-child(3) {
        display: flex;
    }
}

@media (min-width: 561px) and (max-width: 860px) {
    .sticky-header .col:first-child {
        display: none;
    }
}

@media (min-width: 561px) and (max-width: 960px) {
    .sticky-header .col:last-child {
        display: none;
    }
}


@media (max-width: 840px) {
    .hbf {
        flex-wrap: wrap;
    }

    #booking-form-main .hbf .form-col {
        width: calc(50% - 5px);
        flex: none;
    }

    #booking-form-main .hbf .form-col:last-child {
        width: 100%!important;
    }
}

@media (max-width: 960px) {
    .sticky-header .col:first-child {
        padding-left: 0;
        padding-right: 5px;
        min-width: auto;
    }

    #booking-form-main {
        padding: 30px;
    }

    .sticky-header .col:nth-child(2) {
        order: 3;
        width: 100%;
    }

    #neighborhood-map-container {
        height: 600px!important;
    }

    #neighborhood > *:first-child {
        order: 2;
    }

    #neighborhood > *:nth-child(2),
    #neighborhood > *:last-child {
        width: 100%;
    }

    .r360-maps-category-filter {
        flex-wrap: wrap;
    }

    .r360-maps-filter-tab {
        flex: 0 0 calc(50% - 2px);
    }

    .r360-maps-location-panel .grid {
        max-width: 100%;
    }

    .r360-maps-location-panel:not(.r360-maps-location-panel.py-4) {
        height: auto;
    }
}


@media (max-width: 580px) {
    
    .r360-maps-filter-tab {
        flex: 0 0 100%;
    }
}

@media (max-width: 1024px) {
    .hbf .form-col label {
        font-size: 16px;
    }
}

@media (max-width: 1080px) {
    #menu-toggle span {
        display: none;
    }
}

@media (max-width: 1200px) {
    .hbf {
        gap: 10px;
    }
}


#menu-toggle .hamburger .bar {
    background-color: #fff;
}
#menu-toggle{
	color: #fff;
}
div#popmake-1576 {
    background: transparent;
    border: none;
}
.pum-container .pum-content>:last-child {
    text-align: center;
	    margin: 0;
}
.pum-theme-1568 .pum-container, .pum-theme-lightbox .pum-container {
    box-shadow: none;
} 